Page MenuHomePhabricator

Who Wrote That annotations load, but without yellow highlighting
Closed, ResolvedPublic3 Estimated Story PointsBUG REPORT

Assigned To
Authored By
Mathglot
Oct 10 2022, 4:31 AM
Referenced Files
F42265296: 2024-02-29_13-51-47.png
Feb 29 2024, 11:01 PM
F42264902: 2024-02-29_13-43-07.png
Feb 29 2024, 11:01 PM
F42264810: 2024-02-29_13-40-55.png
Feb 29 2024, 11:01 PM
F42265356: 2024-02-29_13-39-36.png
Feb 29 2024, 11:01 PM
F42265337: 2024-02-29_13-36-20.png
Feb 29 2024, 11:01 PM
F42264730: 2024-02-29_13-35-47.png
Feb 29 2024, 11:01 PM
F36916128: firefox_K1g1XJSu5b.gif
Mar 17 2023, 11:03 AM

Description

Yellow highlighting fails in Who Wrote That, even when a given run is otherwise working. I.e., after WWT load completes and clicking page text successfully shows the pop-up dialog box with who/when and the underlying diff link, which when clicked goes to the correct diff page, but all without any yellow highlighting.

This happens intermittently. The last few days have been clear, but today I had two unhighlighted pages in a row, right after having viewed the same page (Transgender) with highlighting a few minutes earlier. I'm sorry I don't have any reproduction steps for you, but it's occurring too intermittently to reproduce, or to remember exactly how I got there, other than clicking the WWT link I have in the sidebar at en-wiki after having installed the extension.

Spawned from comment T318746#8285520 as suggested by @TheresNoTime.

Possibly of interest to @MusikAnimal, @Sennecaster, @Tamzin.

QA Results - Wikimedia PROD

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald Transcript
KSiebert changed the subtype of this task from "Task" to "Bug Report".Oct 10 2022, 2:13 PM

Looks like this is a problem in Vector 2022

First time I've seen this symptom: yellow highlighting disappeared while viewing an annotated page.

While using a page on en-wiki (Marc Bloch) with functioning pop-up boxes and proper yellow highlighting, I scrolled down a bit from one part of a section to another, and although highlighting was normal a few seconds prior now it no longer appeared.

Before this, a page was either unhighlighted or highlighted when WWT finished loading, and if the latter, it remained highlighted until I was finished using it. This is the first time I've seen highlighting disappear while viewing a functioning, highlighted page.

Happening on Rajputisation for me. Happens intermittently; considering what I use WWT for (copyright investigations) this is extremely annoying as purges don't seem to fix it. Once I close WWT after seeing this happen, I can no longer click on the page normally and it functions basically as if WWT did not even close. Furthermore; the text itself decreases in font size massively when I encounter this error, and no time else.
From my console; none of this makes sense to me so you get it all.

This page is using the deprecated ResourceLoader module "jquery.ui". Please use OOUI instead. load.php:294:1055
Some cookies are misusing the recommended “SameSite“ attribute 3
Use of Mutation Events is deprecated. Use MutationObserver instead. load.php:67:661
This page uses the non standard property “zoom”. Consider using calc() in the relevant property values, or using “transform” along with “transform-origin: 0 0”. Rajputisation
Synchronous XMLHttpRequest on the main thread is deprecated because of its detrimental effects to the end user’s experience. For more help http://xhr.spec.whatwg.org/ load. php:133:733
ext.popups was loaded but everything is disabled

Cookie “enwikiwmE-sessionTickLastTickTime” does not have a proper “SameSite” attribute value. Soon, cookies without the “SameSite” attribute or with an invalid value will be treated as “Lax”. This means that the cookie will no longer be sent in third-party contexts. If your application depends on this cookie being available in such contexts, please add the “SameSite=None“ attribute to it. To know more about the “SameSite“ attribute, read https://developer.mozilla.org/docs/Web/HTTP/Headers/Set-Cookie/SameSite

The Tale of Jemima Puddle-Duck this time around. Same problems as last time, but this time I got a more concrete error.

Who Wrote That? (): WhoWroteThat encountered a "refresh" error:
Object { info: "Requested data is not currently available in WikiWho database. It will be available soon.", success: false, rev_id: 1094913793, page_title: "The_Tale_of_Jemima_Puddle-Duck" }
​info: "Requested data is not currently available in WikiWho database. It will be available soon."
page_title: "The_Tale_of_Jemima_Puddle-Duck"
rev_id: 1094913793
success: false
​<prototype>: Object { … }
generated.pageScript.js:2227:28

log moz-extension://63e9ac13-5ec0-4738-9377-76c460bc5969/js/generated.pageScript.js:2227
getJsonData moz-extension://63e9ac13-5ec0-4738-9377-76c460bc5969/js/generated.pageScript.js:774

@Mathglot @Sennecaster Are you using Vector 2022? That's the only skin I'm able to repro in.


From my console; none of this makes sense to me so you get it all.

This page is using the deprecated ResourceLoader module "jquery.ui". Please use OOUI instead. load.php:294:1055

I think all of that is unrelated, but thanks for sharing anyway as often there are useful things in the output :)

Who Wrote That? (): WhoWroteThat encountered a "refresh" error:

You should have seen a user-facing error in this case telling you to try again. I just checked and the WikiWho server is running normally, but it may have been backed up processing new edits when you encountered this error.

@MusikAnimal I am using Vector 2022; it was mentioned in the ticket Mathglot linked in the OP so I assumed someone already knew, whoops!

MusikAnimal renamed this task from WWT annotated load succeeds, but w/o yellow highlighting (Who Wrote That?) to Who Wrote That annotations load, but without yellow highlighting in Vector 2022.Nov 8 2022, 4:50 AM
MusikAnimal added a subscriber: Danbloch.

I am exclusively using Vector 2010. Sorry I didn't see the ping.

Mathglot renamed this task from Who Wrote That annotations load, but without yellow highlighting in Vector 2022 to Who Wrote That annotations load, but without yellow highlighting.Nov 8 2022, 5:45 PM
Mathglot added a subscriber: Danbloch.

I don't know why the ticket says I added a subscriber, and I don't know how to undo it; sorry.

TheresNoTime renamed this task from Who Wrote That annotations load, but without yellow highlighting to Who Wrote That annotations load, but without yellow highlighting in Vector 2022.Mar 17 2023, 10:53 AM
TheresNoTime removed a subscriber: Danbloch.
TheresNoTime added a subscriber: Danbloch.

Just tried to replicate this — appears to be working as expected?

Ignore me, should have read the task more carefully — intermittent/only affecting some pages...

(also don't know why that subscriber keeps readding, sorry..)

(with thanks to @Femkemilene for the pointer)

Today replicated with https://en.wikipedia.org/wiki/Effects_of_climate_change:

  • Using legacy Vector, the highlighting works as expected
  • Using Vector 2022, the highlighting does not work (and some <noinclude> tags appear at the start of the article)

Today replicated with https://en.wikipedia.org/wiki/Effects_of_climate_change:

  • Using legacy Vector, the highlighting works as expected
  • Using Vector 2022, the highlighting does not work (and some <noinclude> tags appear at the start of the article)

The <noinclude> tags appear on both skins for me, so I believe that's unrelated issue.

It looks like for any long-ish article, such as the above example, the overlayed content isn't on top of the original as it should be in Vector 2022. Rather, it's duplicated beneath it. So if you scroll down to the duplicated article WWT works as expected.

@TheresNoTime, I originally opened this ticket, and although it appears that others have seen this on Vector 2022, I never have—I've seen it exclusively on Vector 2010. Can you please explain why this was renamed on Mar 17 2023, 3:53 AM from "annotations load, but without yellow highlighting" (which seems accurate to me in its generality) to "annotations load, but without yellow highlighting in Vector 2022", which does not cover the bug I originally encountered? If the original bug concerning Vector 2010 has not already been fixed, any objection if I rename it back again?

@TheresNoTime, I originally opened this ticket, and although it appears that others have seen this on Vector 2022, I never have—I've seen it exclusively on Vector 2010. Can you please explain why this was renamed on Mar 17 2023, 3:53 AM from "annotations load, but without yellow highlighting" (which seems accurate to me in its generality) to "annotations load, but without yellow highlighting in Vector 2022", which does not cover the bug I originally encountered? If the original bug concerning Vector 2010 has not already been fixed, any objection if I rename it back again?

I possibly set it back to a previous task title change when I could also only reproduce the issue in Vector 2022 — you're of course welcome to set the title back :-)

Are you able to test if https://en.wikipedia.org/wiki/Effects_of_climate_change works for you?

Mathglot renamed this task from Who Wrote That annotations load, but without yellow highlighting in Vector 2022 to Who Wrote That annotations load, but without yellow highlighting.Apr 19 2023, 7:31 AM

you're of course welcome to set the title back :-)

✅ Done.

Are you able to test if https://en.wikipedia.org/wiki/Effects_of_climate_change works for you?

I'll try to get to this in a few days; I invite you to bug me if I forget. :-)

(with thanks to @Femkemilene for the pointer)

Today replicated with https://en.wikipedia.org/wiki/Effects_of_climate_change:

  • Using legacy Vector, the highlighting works as expected
  • Using Vector 2022, the highlighting does not work (and some <noinclude> tags appear at the start of the article)

I get the same result. Top icons seem to trigger it but possibly other things do so as well: https://en.wikipedia.org/wiki/User:Rjjiii/Who_Wrote_That:_reply

Today replicated with https://en.wikipedia.org/wiki/Effects_of_climate_change:

  • Using legacy Vector, the highlighting works as expected
  • Using Vector 2022, the highlighting does not work (and some <noinclude> tags appear at the start of the article)

The <noinclude> tags appear on both skins for me, so I believe that's unrelated issue.

It looks like for any long-ish article, such as the above example, the overlayed content isn't on top of the original as it should be in Vector 2022. Rather, it's duplicated beneath it. So if you scroll down to the duplicated article WWT works as expected.

I tried this on https://en.wikipedia.org/wiki/Effects_of_climate_change and it duplicated twice before I was able to reach a working part of the article. Might be unrelated.

@RiadSalih: In general, you can find all and any updates by looking at the latest comments in a task. If there are none, then no updates. No need to ask. Thanks. :)

This comment was removed by RiadSalih.

PR: https://github.com/wikimedia/WhoWroteThat/pull/185

There are at least two distinct bugs being described here. The above pull request fixes an incompatibility with Vector 2022. In Vector 2022, indicators are within the #bodyContent, so we just needed to adjust the CSS selector to fix the bug. I'm fairly certain this is the same bug described at T320364#8323399, T320364#9154195, and the one I described at T320364#8791580.

An easy test is on a small article with indicators, i.e. https://en.wikipedia.org/wiki/Hasil_Adkins. Compare that in Vector 2022 versus other skins.

The other bug(s) mentioned here are very likely intermittent issues with WikiWho, or something else. The original bug reporter here was using legacy Vector, not Vector 2022, so whatever issue that was may or may not still stand. But as of the time of writing, all examples should work (with the above PR applied): Transgender, Marc Bloch and Rajputisation.

@MusikAnimal There seem to be no issues with who wrote that with articles with indicators as seen from the screenshots below. This will be moved to Done. Thanks for all your work and info!

Status: ✅PASS
Environment: Wikipedia PROD
OS: macOS Sonoma 14.2.1
Browser: Chrome 122, Firefox 123
Skins. Vector 2022, Vector 2010, Minerva, Monobook, Timeless
Device: MBA M2
Emulated Device:: n/a
Test Links:
https://en.wikipedia.org/wiki/Rajputisation
https://en.wikipedia.org/wiki/Marc_Bloch

✅AC1: https://phabricator.wikimedia.org/T352491

Vector 2022-Old PatchVector 2022- New PatchVector 2010MinervaMonobookTimeless
2024-02-29_13-35-47.png (1×2 px, 809 KB)
2024-02-29_13-36-20.png (1×2 px, 991 KB)
2024-02-29_13-39-36.png (1×3 px, 1 MB)
2024-02-29_13-40-55.png (1×3 px, 645 KB)
2024-02-29_13-43-07.png (1×3 px, 1 MB)
2024-02-29_13-51-47.png (1×2 px, 754 KB)

Thanks George!

@Mathglot Is this bug still happening for you? Make sure you're using version 21.0 of the extension. The bug fix submitted above wasn't actually for your issue, but I think your issue was intermittent problems with WikiWho which should also largely be resolved now.

Thank you @GMikesell-WMF (George), I believe the Arabic version will now be able to accommodate the extension.

Thanks George!

@Mathglot Is this bug still happening for you? Make sure you're using version 21.0 of the extension. The bug fix submitted above wasn't actually for your issue, but I think your issue was intermittent problems with WikiWho which should also largely be resolved now.

I am using version 0.21.0.0. I had stopped using WWT since my report, but I just tried again and it didn't recur on my one mentioned test page (Transgender) which is encouraging. I'll start using WWT again, and keep tabs on how it's doing, and report any issues back here. Thanks for the update and the efforts on this.

… I'll start using WWT again, and keep tabs on how it's doing, and report any issues back here. Thanks for the update and the efforts on this.

Great! With your word, I'll mark this resolved. If you encounter more issues, please file a new task. Thanks!

I believe the Arabic version will now be able to accommodate the extension.

We'll look into this soon. Some tests need to be ran first. We'll post updates at T336214.